#
# spec file for package intel-iamt (Version 3.1.0.31)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

BuildRequires:  gcc-c++

Name:           intel-iamt
ExcludeArch:    ia64 ppc ppc64 s390 s390x
License:        GPL v2 or later
Group:          System/Packages
Summary:        intel-iamt user space package for Intel iAMT
Version:        3.1.0.31
Release:        0.3
Source0:        lms-%{version}.tar.gz
Source1:        50-udev-default.rules
Patch:          intel-iamt-%{version}.diff
Patch1:         intel-iamt-lms.diff
Patch2:         makefile-in.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The intel-iamt user space package to support Intel(R) iAMT.



Authors:
--------
    Philip Oswald

%debug_package
%prep
%setup -n LMS-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
pushd source
./configure
make
popd

%install
pushd source
mkdir -p $RPM_BUILD_ROOT/etc/udev/rules.d/
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/%name
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 COPYING $RPM_BUILD_ROOT/usr/share/doc/packages/%name/COPYING
install -m 644 README $RPM_BUILD_ROOT/usr/share/doc/packages/%name/README
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/udev/rules.d/
popd
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
cat >iamt-source.files <<EOF
%%defattr(-, root, root)
%%dir /usr/share/doc/packages/%name
%%dir /etc/udev
%%dir /etc/udev/rules.d
/usr/sbin/lms
/usr/share/doc/packages/%name/*
/etc/init.d/*
/etc/udev/rules.d/*
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files -f iamt-source.files

%changelog
* Mon Mar 31 2008 - poswald@novell.com
-Added a patch to fix root exploit in Makefil.in
* Thu Dec 06 2007 - andavis@novell.com
- Added to PLDP
- Bugzilla 342623
